TULISAN - Feature #3389

Header Cash Activity ingin autofill ke Item
01/31/2025 05:34 PM - haykal haykal

Status: Closed Start date: 01/31/2025
Priority: High Due date: 02/07/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Sesuai yang telah didiskusikan dengan Bapak tadi, field Cash Activity yg telah dipilih di Header ingin agar bisa autofill ke bagian
Item.

Aku telah menambahkan field Cash Activity Type dan Cash Activity Detail di bagian Header.
Menu: GL, AR, AP, IP, OP

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

Terimakasih.

History

#1 - 02/04/2025 10:27 AM - Kezia Pawitra Yulianti
- Due date set to 02/07/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 02/05/2025 04:32 PM - Tri Rizqiaty

- File clipboard-202502051627-0jyu6.png added

- File PTRFINANCEHEAD-CashActivityDetail-SelectFunction.js added
- File PTRFINANCEHEAD-CashActivity Type-SelectFunction.js added
- File PTRFINANCEITEM-GIAccountID-SelectFunction.js added

- Status changed from Assigned to Developing

Fixing :

1. Add Field CashActivityType & CashActivityDetail di table fisik PTRFINANCEHEAD

2. Udpate table SDATATABLEFIELD - Field : CashActivityType - SelectFunction, sesuai file terlampir
3. Udpate table SDATATABLEFIELD - Field : CashActivityDetail - SelectFunction, sesuai file terlampir
4. Udpate table SDATATABLEFIELD - Field : GIAccountID - SelectFunction, sesuai file terlampir

5. Update MinovaXType - Add.js
iconCls: 1 r '
style: fa v: F
handler: function () {
var store = Ext.StoreMgr.lookup(storelID);
var data = eval (addData) ;

r

r

if (me.transType == "FIN") {
var fp = Ext.ComponentQuery.gquery(”[na - 11 FPer 11") [0] .getValue () ;
var fy = Ext.ComponentQuery.query(”[na E a1 ir] ™) [0] .getValue() ;
var cp = Ext.ComponentQuery.query (" [na panyID] ™) [0].getValue() ;
var bu = Ext.ComponentQuery.guery(” [na I Unit]") [0].getValue() ;
var cc = Ext.ComponentQuery.guery(”[na r]1") [0] .getvValue() ;
'/ var desc = Ext.ComponentQuery.guery (" [name=Description]™) [0].getValue();
data["E 1lPeriod”] = fp;
data["E 1lYear”] = fy;
data["CompanyID"] = cp;
data["Bu ssUnit™] = bu;
'/ data["™Co "] = cc
datal™D X 1= dggc:
far cat = EXt.ComponentQuery.gquery (" [nams ashActivityType] ") [(] .getValue() ;
var cad = Ext.ComponentQuery.query (" [nar ishAct tyDetail] ™) [0] .getValue() ;
data[ t LyType"] = cat;
data["CashActivityDetail™] = cad;
1
f*idw = store.getCount();
store.insert (idx, data);*
idx = store.getCount();
if (parseFloat (idx) <= y f/F/ Tri 20210807
{
if(store.getCount() > && me.transType == "FIN") //// Tri nwh 20211111, edit by Tri nwh 20220420

{ console_ log('siwan');
var IsCostCenter = '';
var IsSIMandatory = '";
var grid = Ext.getCmp (gridName) ;
var selection = grid.getView() .getSelectionModel() .getSelection() [0]:
if( selection != undefined) '/// add by Tri nwh 20211124
{

#3 - 02/05/2025 04:32 PM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#4 - 02/07/2025 05:13 PM - haykal haykal
- File Sebaiknya ada pesan.PNG added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Dear Mbak Yomma,

Secara settingan field Cash Activity Type dan Cash Activity Detail yg di Header sudah aku bikin mandatory.

Namun untk case seperti di foto yang aku lampirkan, misalkan user tidak mengisi field Cash Activity Type dan Cash Activity Detail di Header; lalu dia
mengisi row pertama dengan GLAccount bertipe CA. Button Addnya tidak bisa diklik, namun tidak ada pesan/informasi apa-apa. Sebaiknya dikasih
pesan/message untuk memberikan informasi kepada user apa yang harus dilakukan (seperti yang udh pernah Mbak Yomma bikin)

Terimakasih.

#5 - 02/10/2025 11:21 AM - Tri Rizgiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to haykal haykal

#6 - 02/10/2025 03:14 PM - haykal haykal
- Status changed from QA Test to Deploy
- Assignee changed from haykal haykal to Tri Rizqgiaty

Udh OK Mbak, Minta tolong di-deploy ke Tulisan Prod ya...

Port: https://tulisan.minovais.com/
DB: MinovaES_Tulisan_Prod (di 89)
Terimakasih.

#7 - 02/11/2025 10:18 AM - Tri Rizqiaty
- Status changed from Deploy to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

Tolong ditest Ig ya.

& yg diitem msh ada yg blm kehide, settingannya bukan hidden = 1, tp grid = 0.

#8 - 02/11/2025 02:50 PM - haykal haykal
- Status changed from QA Test to Closed
